﻿Imports System.ComponentModel
Imports NinjaDomain.Classes.Interfaces

Namespace NinjaDomain.Classes
	Public Class Ninja
		Implements IModificationHistory
		Public Sub New()
			EquipmentOwned = New List(Of NinjaEquipment)()
		End Sub
		Public Property Id() As Integer
		Public Property Name() As String
		Public Property ServedInOniwaban() As Boolean
		Public Property Clan() As Clan
		Public Property ClanId() As Integer
		Public Property EquipmentOwned() As List(Of NinjaEquipment)
		Public Property DateOfBirth() As Date

		Public Property DateCreated() As Date Implements IModificationHistory.DateCreated
		Public Property DateModified() As Date Implements IModificationHistory.DateModified
		Public Property IsDirty() As Boolean Implements IModificationHistory.IsDirty

	End Class
End Namespace