Imports System.Data.Entity.Migrations

Namespace NinjaDomain.DataModel.Migrations

	Partial Public Class Initial
		Inherits DbMigration
		Public Overrides Sub Up()
			CreateTable("dbo.Clans", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .ClanName = c.String()}).PrimaryKey(Function(t) t.Id)

			CreateTable("dbo.Ninjas", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .Name = c.String(), Key .ServedInOniwaban = c.Boolean(nullable:= False), Key .ClanId = c.Int(nullable:= False)}).PrimaryKey(Function(t) t.Id).ForeignKey("dbo.Clans", Function(t) t.ClanId, cascadeDelete:= True).Index(Function(t) t.ClanId)

			CreateTable("dbo.NinjaEquipments", Function(c) New With {Key .Id = c.Int(nullable:= False, identity:= True), Key .Name = c.String(), Key .Type = c.Int(nullable:= False), Key .Ninja_Id = c.Int(nullable:= False)}).PrimaryKey(Function(t) t.Id).ForeignKey("dbo.Ninjas", Function(t) t.Ninja_Id, cascadeDelete:= True).Index(Function(t) t.Ninja_Id)

		End Sub

		Public Overrides Sub Down()
			DropForeignKey("dbo.NinjaEquipments", "Ninja_Id", "dbo.Ninjas")
			DropForeignKey("dbo.Ninjas", "ClanId", "dbo.Clans")
			DropIndex("dbo.NinjaEquipments", { "Ninja_Id" })
			DropIndex("dbo.Ninjas", { "ClanId" })
			DropTable("dbo.NinjaEquipments")
			DropTable("dbo.Ninjas")
			DropTable("dbo.Clans")
		End Sub
	End Class
End Namespace
