Imports System.Data.Entity.Migrations

Namespace NinjaDomain.DataModel.Migrations

	Partial Public Class AddModificationHistoryInterface
		Inherits DbMigration
		Public Overrides Sub Up()
			AddColumn("dbo.Clans", "DateCreated", Function(c) c.DateTime(nullable:= False))
			AddColumn("dbo.Clans", "DateModified", Function(c) c.DateTime(nullable:= False))
			AddColumn("dbo.Ninjas", "DateCreated", Function(c) c.DateTime(nullable:= False))
			AddColumn("dbo.Ninjas", "DateModified", Function(c) c.DateTime(nullable:= False))
			AddColumn("dbo.NinjaEquipments", "DateCreated", Function(c) c.DateTime(nullable:= False))
			AddColumn("dbo.NinjaEquipments", "DateModified", Function(c) c.DateTime(nullable:= False))
		End Sub

		Public Overrides Sub Down()
			DropColumn("dbo.NinjaEquipments", "DateModified")
			DropColumn("dbo.NinjaEquipments", "DateCreated")
			DropColumn("dbo.Ninjas", "DateModified")
			DropColumn("dbo.Ninjas", "DateCreated")
			DropColumn("dbo.Clans", "DateModified")
			DropColumn("dbo.Clans", "DateCreated")
		End Sub
	End Class
End Namespace
